]> Git Repo - linux.git/blob - drivers/gpu/drm/ci/igt_runner.sh
Merge patch series "riscv: Extension parsing fixes"
[linux.git] / drivers / gpu / drm / ci / igt_runner.sh
1 #!/bin/sh
2 # SPDX-License-Identifier: MIT
3
4 set -ex
5
6 export IGT_FORCE_DRIVER=${DRIVER_NAME}
7 export PATH=$PATH:/igt/bin/
8 export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/igt/lib/aarch64-linux-gnu/:/igt/lib/x86_64-linux-gnu:/igt/lib:/igt/lib64
9
10 # Uncomment the below to debug problems with driver probing
11 : '
12 ls -l /dev/dri/
13 cat /sys/kernel/debug/devices_deferred
14 cat /sys/kernel/debug/device_component/*
15 '
16
17 # Dump drm state to confirm that kernel was able to find a connected display:
18 set +e
19 cat /sys/kernel/debug/dri/*/state
20 set -e
21
22 case "$DRIVER_NAME" in
23     rockchip|meson)
24         export IGT_FORCE_DRIVER="panfrost"
25         ;;
26     mediatek)
27         if [ "$GPU_VERSION" = "mt8173" ]; then
28             export IGT_FORCE_DRIVER=${DRIVER_NAME}
29         elif [ "$GPU_VERSION" = "mt8183" ]; then
30             export IGT_FORCE_DRIVER="panfrost"
31         fi
32         ;;
33     amdgpu)
34         # Cannot use HWCI_KERNEL_MODULES as at that point we don't have the module in /lib
35         mv /install/modules/lib/modules/* /lib/modules/.
36         modprobe amdgpu
37         ;;
38 esac
39
40 if [ -e "/install/xfails/$DRIVER_NAME-$GPU_VERSION-skips.txt" ]; then
41     IGT_SKIPS="--skips /install/xfails/$DRIVER_NAME-$GPU_VERSION-skips.txt"
42 fi
43
44 if [ -e "/install/xfails/$DRIVER_NAME-$GPU_VERSION-flakes.txt" ]; then
45     IGT_FLAKES="--flakes /install/xfails/$DRIVER_NAME-$GPU_VERSION-flakes.txt"
46 fi
47
48 if [ -e "/install/xfails/$DRIVER_NAME-$GPU_VERSION-fails.txt" ]; then
49     IGT_FAILS="--baseline /install/xfails/$DRIVER_NAME-$GPU_VERSION-fails.txt"
50 fi
51
52 if [ "`uname -m`" = "aarch64" ]; then
53     ARCH="arm64"
54 elif [ "`uname -m`" = "armv7l" ]; then
55     ARCH="arm"
56 else
57     ARCH="x86_64"
58 fi
59
60 curl -L --retry 4 -f --retry-all-errors --retry-delay 60 -s ${FDO_HTTP_CACHE_URI:-}$PIPELINE_ARTIFACTS_BASE/$ARCH/igt.tar.gz | tar --zstd -v -x -C /
61
62
63 # If the job is parallel at the gitab job level, take the corresponding fraction
64 # of the caselist.
65 if [ -n "$CI_NODE_INDEX" ]; then
66     sed -ni $CI_NODE_INDEX~$CI_NODE_TOTAL"p" /install/testlist.txt
67 fi
68
69 # core_getversion checks if the driver is loaded and probed correctly
70 # so run it in all shards
71 if ! grep -q "core_getversion" /install/testlist.txt; then
72     # Add the line to the file
73     echo "core_getversion" >> /install/testlist.txt
74 fi
75
76 set +e
77 igt-runner \
78     run \
79     --igt-folder /igt/libexec/igt-gpu-tools \
80     --caselist /install/testlist.txt \
81     --output /results \
82     $IGT_SKIPS \
83     $IGT_FLAKES \
84     $IGT_FAILS \
85     --jobs 1
86 ret=$?
87 set -e
88
89 deqp-runner junit \
90    --testsuite IGT \
91    --results /results/failures.csv \
92    --output /results/junit.xml \
93    --limit 50 \
94    --template "See https://$CI_PROJECT_ROOT_NAMESPACE.pages.freedesktop.org/-/$CI_PROJECT_NAME/-/jobs/$CI_JOB_ID/artifacts/results/{{testcase}}.xml"
95
96 # Store the results also in the simpler format used by the runner in ChromeOS CI
97 #sed -r 's/(dmesg-warn|pass)/success/g' /results/results.txt > /results/results_simple.txt
98
99 cd $oldpath
100 exit $ret
This page took 0.038076 seconds and 4 git commands to generate.